#include "mex.h"

void mexFunction(int nlhs, mxArray** plhs,
     int nrhs, const mxArray** prhs)
{
  int i, j;
  double *mpointer, *npointer;
  int M, N;
  int mrows, ncols;
  double *A; 

  if (nrhs != 2)
    mexErrMsgTxt("Two inputs required!");
  else if (nlhs > 1)
    mexErrMsgTxt("Too many output arguments!");

  /* The inputs must be noncomplex scalar doubles.*/
  for (i=0; i<2; ++i) 
  { 
    mrows = mxGetM(prhs[i]);
    ncols = mxGetN(prhs[i]);
    if( !mxIsDouble(prhs[i]) || mxIsComplex(prhs[i]) ||
        !(mrows==1 && ncols==1) ) {
      mexErrMsgTxt( "Input must be noncomplex scalar double.");
    }
  }
  
  /* Assign pointers to each input. */
  mpointer = mxGetPr(prhs[0]);
  npointer = mxGetPr(prhs[1]);
  M = (int) mpointer[0];
  N = (int) npointer[0];

  /* Create and fill matrix A */
  plhs[0] = mxCreateDoubleMatrix(M,N,mxREAL);
  A = mxGetPr(plhs[0]);
  for (i=0; i<M; ++i) {
    for (j=0; j<N; ++j) {
     A[i+j*M] = i + j + 2;
    }
  }
}